Subject: bug#70773: 30.0.50; display-delayed-warnings does not respect display-buffer-alist

From: Juri Linkov <[email-masked]>
Date: Sun, 05 May 2024 19:35:03 +0300

>> I say either set delayed-warnings-hook to nil or customize
>> warning-suppress-log-types to suppress the warnings you don't want to
>> see.
>
> Fine.
>
>> display-buffer-alist is not the best way of doing this, especially not
>> when you want to affect what Emacs does at startup, when the various
>> elements of the UI might not yet be ready for your trickery.
>
> I reported this bug because it is only now that I observe this
> behaviour. I have had that display-buffer-alist setting for a long time
> already.

Then I retract the proposed patch.  Instead of hiding the warning window
the right way to disable lexical-binding warnings is to add
'lexical-binding' to 'warning-suppress-log-types'.